if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libtracker-control-2.0.so )
( cd usr/lib64 ; ln -sf libtracker-control-2.0.so.0 libtracker-control-2.0.so )
( cd usr/lib64 ; rm -rf libtracker-control-2.0.so.0 )
( cd usr/lib64 ; ln -sf libtracker-control-2.0.so.0.306.0 libtracker-control-2.0.so.0 )
( cd usr/lib64 ; rm -rf libtracker-miner-2.0.so )
( cd usr/lib64 ; ln -sf libtracker-miner-2.0.so.0 libtracker-miner-2.0.so )
( cd usr/lib64 ; rm -rf libtracker-miner-2.0.so.0 )
( cd usr/lib64 ; ln -sf libtracker-miner-2.0.so.0.306.0 libtracker-miner-2.0.so.0 )
( cd usr/lib64 ; rm -rf libtracker-sparql-2.0.so )
( cd usr/lib64 ; ln -sf libtracker-sparql-2.0.so.0 libtracker-sparql-2.0.so )
( cd usr/lib64 ; rm -rf libtracker-sparql-2.0.so.0 )
( cd usr/lib64 ; ln -sf libtracker-sparql-2.0.so.0.306.0 libtracker-sparql-2.0.so.0 )
